Skip to content

Get QuickBooks export status for the organization

GET
/api/integrations/qbo/export/status
curl --request GET \
--url https://api.getvespy.com/api/integrations/qbo/export/status \
--header 'Authorization: Bearer <token>'

Default Response

Media typeapplication/json
object
connected
required
boolean
connection
required
null | object
exportFromDate
required
null | string
exportToDate
required
null | string
lastRun
required
null | object
recordCounts
required
object
conflict
required
integer
failed
required
integer
pending
required
integer
skipped
required
integer
synced
required
integer
requiredMappings
required
Array<object>
object
code
required
string
mapped
required
boolean
name
required
string
type
required
string
Allowed values: asset liability equity income cost_of_services expense trust
vespyId
required
string format: uuid
Example
{
"requiredMappings": [
{
"type": "asset"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}